Bug 10331 - cal program won't accept years after 9999
cal program won't accept years after 9999
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-24 15:38 EST by Brad Garcia
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-24 15:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Garcia 2000-03-24 15:38:49 EST
Why shouldn't the cal program show years 10000 onward?

> cal 1 10000
cal: illegal year value: use 1-9999
Comment 1 Jeff Johnson 2000-10-09 12:46:51 EDT
Do you really care?
Comment 2 Brad Garcia 2000-10-09 14:29:05 EDT
I cared enough to file a bug,
but I won't lose any sleep if it doesn't get fixed.

It just seems like a completely arbitrary limitation.  I can find no reason
for it.  The mathematics are the same past the year 9999.  The type-imposed
limit for year appears to be (((MAX_LONG - 379) * 400 / 146097) + 1),
or 5879610 for a 32-bit long.  This limitation occurs in the day_in_week()
function.

I tried removing the artificial limitation and it appears to give
correct results.

Note You need to log in before you can comment on or make changes to this bug.